| Home | Libraries | People | FAQ | More

## Function tail_finder

boost::algorithm::tail_finder — "Tail" finder

## Synopsis

    unspecified tail_finder(unsigned int N);

## Description

Construct the `tail_finder` . The finder returns a tail of a given input. The tail is a suffix of a string up to n elements in size. If an input has less then n elements, whole input is considered a head. The result is given as an `iterator_range` delimiting the match.

Parameters

N

  The size of the head

Returns: An instance of the `tail_finder` object

| Copyright © 2002-2004 Pavol Droba